Skip to main content
GET
/
sources
/
List Sources
curl --request GET \
  --url https://api-prod.voltai.ai/source/api/sources/ \
  --cookie sessionid=
import requests

url = "https://api-prod.voltai.ai/source/api/sources/"

headers = {"cookie": "sessionid="}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {cookie: 'sessionid='}};

fetch('https://api-prod.voltai.ai/source/api/sources/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "page": 123,
    "page_size": 123,
    "total": 123,
    "results": [
      {
        "name": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "topics": [
          "<string>"
        ],
        "display_name": "<string>",
        "retrieval_disabled": true,
        "link": "<string>"
      }
    ]
  }
]

Authorizations

sessionid
string
cookie
required

Query Parameters

organization_name
string
required

Organization name (required for multi-tenant API keys)

page
integer
default:1

Page number

page_size
integer
default:20

Items per page

Search by name or display_name

show_disabled
boolean
default:false

Include disabled sources

status
string

Filter by status (active, training, processing, waiting, rejected, error)

topic
string<uuid>

Filter by topic UUID

type
string

Filter by type (pdf, html, md, csv, website, url, code, repository)

Response

200 - application/json
page
integer
required
page_size
integer
required
total
integer
required
results
object[]
required